﻿using PCC.App.Configuration;
using PCC.App.Tpm;
using PCC.Common.AssemblyInject.Interfaces;
using PCC.Common.EventBus;

namespace PCC.DevClient;

internal class DevClientPccConfigManager : PccConfigManagerBase;
internal class DevClientEventBus(ILogger<DevClientEventBus> logger) : InProcessEventBusBase(logger), IAssemblyInjectSingleton<IEventBus>;
internal class DevClientTpm(IPeerInfoProvider provider, IEventBus eventBus, ILogger<DevClientTpm> tpm) : TrustedPeerManager(provider, eventBus, tpm), IAssemblyInjectSingleton<TrustedPeerManager>;