﻿using PCC.App.Configuration;
using PCC.App.Tpm;
using PCC.Common.AssemblyInject.Interfaces;
using PCC.Common.EventBus;

namespace PCC.DevServer;

internal class DevServerPccConfigManager : PccConfigManagerBase;
internal class DevServerEventBus(ILogger<DevServerEventBus> logger) : InProcessEventBusBase(logger), IAssemblyInjectSingleton<IEventBus>;
internal class DevServerTpm(IPeerInfoProvider provider, IEventBus eventBus, ILogger<DevServerTpm> tpm) : TrustedPeerManager(provider, eventBus, tpm), IAssemblyInjectSingleton<TrustedPeerManager>;